Subject: Re: [ietf-caldav] how to specify caldav uri in vcard
From: Roberto Polli <[email-masked]>
To: Bernard Desruisseaux <[email-masked]>
Cc: [email-masked]
Date: Mon, 26 Jan 2009 13:08:32 +0100
List-Id: Discussions on Calendar Access protocol based on WebDAV <ietf-caldav.osafoundation.org>

Hi Bernard,

Alle venerdì 23 gennaio 2009, hai scritto:
> Which URL do you want to publish in LDAP or in vCard and for which purpose?
I'd like to point the default CalDAV collection (eg. 
http://example.com/user/rob/calendar/ )

reading 
http://tools.ietf.org/html/draft-ietf-vcarddav-vcardrev-05#section-7.9.2
it's not clear if CALADRURI is required to point 
*  the calendar user home (eg. the client should find the default calendar)
*  one of the user's calendar
*  whatever calendar/protocol URI you want (eg. wcap, caldav,...)

Thank you very much for your answer,
R.
-- 

Roberto Polli
Babel S.r.l. - http://www.babel.it
Tel. +39.06.91801075 - fax +39.06.91612446
P.zza S.Benedetto da Norcia, 33 - 00040 Pomezia (Roma)

"Il seguente messaggio contiene informazioni riservate. Qualora questo 
messaggio fosse da Voi ricevuto per errore, Vogliate cortesemente darcene 
notizia a mezzo e-mail. Vi sollecitiamo altresì a distruggere il messaggio 
erroneamente ricevuto. Quanto precede Vi viene chiesto ai fini del rispetto 
della legge in materia di protezione dei dati personali."

Date: Fri, 23 Jan 2009 15:29:54 -0500
From: Bernard Desruisseaux <[email-masked]>
To: Roberto Polli <[email-masked]>
Cc: [email-masked], IETF vcarddav list <[email-masked]>
Subject: Re: [ietf-caldav] how to specify caldav uri in vcard

Hi Roberto,

Which URL do you want to publish in LDAP or in vCard and for which purpose?

FYI, the vCardDAV WG is currently working on a revision of vCard. The 
vCard calendar properties defined in RFC2739 have been included in the 
vCard revision. See:

http://tools.ietf.org/html/draft-ietf-vcarddav-vcardrev-05#section-7.9

Info on the vCardDAV WG can be found here:

http://tools.ietf.org/wg/vcarddav/

Cheers,
Bernard

Roberto Polli wrote:
> hi all,
> 
> reading http://www.faqs.org/rfcs/rfc2739.html I can't find a nice place where 
> to put CalDAV url in ldap/vcard.
> 
> it seems that CALURI & Co want an address pointing to an icalendar object and 
> not to a folder...
> The same for attributes of scheduling path (eg. 
> http://caldav.example.it/user/rob/[Outbox|Inbox] 
> 
> googling around seems that nobody defined a "standard" behaviour; can somebody 
> help?
> 
> Thx to all,
> R.
> 
> 

From: Roberto Polli <[email-masked]>
Organization: Babel s.r.l
To: [email-masked]
Date: Fri, 23 Jan 2009 15:56:24 +0100
Subject: [ietf-caldav] how to specify caldav uri in vcard

hi all,

reading http://www.faqs.org/rfcs/rfc2739.html I can't find a nice place where 
to put CalDAV url in ldap/vcard.

it seems that CALURI & Co want an address pointing to an icalendar object and 
not to a folder...
The same for attributes of scheduling path (eg. 
http://caldav.example.it/user/rob/[Outbox|Inbox] 

googling around seems that nobody defined a "standard" behaviour; can somebody 
help?

Thx to all,
R.

-- 

Roberto Polli
Babel S.r.l. - http://www.babel.it
Tel. +39.06.91801075 - fax +39.06.91612446
P.zza S.Benedetto da Norcia, 33 - 00040 Pomezia (Roma)

"Il seguente messaggio contiene informazioni riservate. Qualora questo 
messaggio fosse da Voi ricevuto per errore, Vogliate cortesemente darcene 
notizia a mezzo e-mail. Vi sollecitiamo altresì a distruggere il messaggio 
erroneamente ricevuto. Quanto precede Vi viene chiesto ai fini del rispetto 
della legge in materia di protezione dei dati personali."

From: Roberto Polli <[email-masked]>
Organization: Babel s.r.l
To: Pascal Robert <[email-masked]>
Date: Fri, 16 Jan 2009 18:16:28 +0100
Cc: [email-masked]
Subject: Re: [ietf-caldav] Problem with REPORT query

Alle venerdì 16 gennaio 2009, Pascal Robert ha scritto:
> No change, I still get occurences outside the time range :-/
then it could be a zimbra issue..

Peace, R.

-- 

Roberto Polli
Babel S.r.l. - http://www.babel.it
Tel. +39.06.91801075 - fax +39.06.91612446
P.zza S.Benedetto da Norcia, 33 - 00040 Pomezia (Roma)

"Il seguente messaggio contiene informazioni riservate. Qualora questo 
messaggio fosse da Voi ricevuto per errore, Vogliate cortesemente darcene 
notizia a mezzo e-mail. Vi sollecitiamo altresì a distruggere il messaggio 
erroneamente ricevuto. Quanto precede Vi viene chiesto ai fini del rispetto 
della legge in materia di protezione dei dati personali."

From: Pascal Robert <[email-masked]>
To: Roberto Polli <[email-masked]>
Date: Fri, 16 Jan 2009 11:51:27 -0500
Cc: [email-masked]
Subject: Re: [ietf-caldav] Problem with REPORT query

Le 09-01-15 à 18:48, Roberto Polli a écrit :

> Alle giovedì 15 gennaio 2009, Pascal Robert ha scritto:
>> I get events
>> who are outside the range.
> pls see http://tools.ietf.org/html/rfc4791#section-9.6.6
> if limit-recurrence-set can help you

No change, I still get occurences outside the time range :-/

From: Roberto Polli <[email-masked]>
Organization: Babel s.r.l
To: [email-masked]
Date: Fri, 16 Jan 2009 00:48:39 +0100
Subject: Re: [ietf-caldav] Problem with REPORT query

Alle giovedì 15 gennaio 2009, Pascal Robert ha scritto:
> I get events
> who are outside the range.
pls see http://tools.ietf.org/html/rfc4791#section-9.6.6
if limit-recurrence-set can help you

Peace, R.

-- 

Roberto Polli
Babel S.r.l. - http://www.babel.it
Tel. +39.06.91801075 - fax +39.06.91612446
P.zza S.Benedetto da Norcia, 33 - 00040 Pomezia (Roma)

"Il seguente messaggio contiene informazioni riservate. Qualora questo 
messaggio fosse da Voi ricevuto per errore, Vogliate cortesemente darcene 
notizia a mezzo e-mail. Vi sollecitiamo altresì a distruggere il messaggio 
erroneamente ricevuto. Quanto precede Vi viene chiesto ai fini del rispetto 
della legge in materia di protezione dei dati personali."

From: Pascal Robert <[email-masked]>
To: [email-masked]
Date: Thu, 15 Jan 2009 15:10:47 -0500
Subject: [ietf-caldav] Problem with REPORT query

Hi,

I'm trying to use a calendar as a timeline to display stuff on large  
screens, so I'm adding events with reccurences every XX minutes, and  
each event have a 30s duration. Event creation works fine, but when I  
try to query available events for a specific time range, I get events  
who are outside the range.

Server is Zimbra Collaboration Suite 5.09. Am I doing something wrong?  
I looked at the RFC for CalDAV and it seems fine. This problem only  
happens for reccurrences, for one-time event it's working fine.

REPORT /dav/mtmls134/Calendar/ HTTP/1.1
...
<x1:calendar-query xmlns:x1="urn:ietf:params:xml:ns:caldav">
<x0:prop xmlns:x0="DAV:">
<x0:getetag/>
<x1:calendar-data/>
</x0:prop>
<x1:filter>
<x1:comp-filter name="VCALENDAR">
<x1:comp-filter name="VEVENT">
<x1:time-range end="20090114T211125Z" start="20090114T211025Z"/>
</x1:comp-filter>
</x1:comp-filter>
</x1:filter>
</x1:calendar-query>

And the answer contains occurences instances who are outside this  
range :

VERSION:2.0
PRODID:Zimbra-Calendar-Provider
BEGIN:VTIMEZONE
TZID:(GMT-05.00) Eastern Time (US &amp; Canada)
BEGIN:STANDARD
DTSTART:19710101T020000
TZOFFSETTO:-0500
TZOFFSETFROM:-0400
RRULE:FREQ=YEARLY;WKST=MO;INTERVAL=1;BYMONTH;BYDAY=1SU
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:19710101T020000
TZOFFSETTO:-0400
TZOFFSETFROM:-0500
RRULE:FREQ=YEARLY;WKST=MO;INTERVAL=1;BYMONTH=3;BYDAY=2SU
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VTIMEZONE
TZID:America/Montreal
BEGIN:STANDARD
DTSTART:20071104T020000
TZOFFSETTO:-0500
TZOFFSETFROM:-0400
RRULE:FREQ=YEARLY;BYMONTH;BYDAY=1SU
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:20070311T020000
TZOFFSETTO:-0400
TZOFFSETFROM:-0500
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=2SU
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VEVENT
UID:[email-masked]
RRULE:FREQ=MINUTELY;UNTIL 090115T010802Z;INTERVAL0
SUMMARY:Test CalDAV
DTSTART;TZID="America/Montreal":20090114T160802
DURATION:PT30S
STATUS:CONFIRMED
CLASS:PUBLIC
X-MICROSOFT-CDO-INTENDEDSTATUS:BUSY
TRANSP:OPAQUE
X-MICROSOFT-DISALLOW-COUNTER:TRUE
DTSTAMP:20090114T210802Z
SEQUENCE:0
END:VEVENT
END:VCALENDAR

-------------------------------------------------------
Pascal Robert

http://www.macti.ca
http://www.aircourriel.com
http://www.linkedin.com/in/macti

Skype: MacTICanada
AIM/iChat : MacTICanada

From: Roberto Polli <[email-masked]>
Organization: Babel s.r.l
To: [email-masked]
Date: Wed, 14 Jan 2009 17:26:33 +0100
Subject: Re: [ietf-caldav] draft 07

Alle mercoledì 14 gennaio 2009, Mike Douglass ha scritto:
> 3.3.2.1.  Processing a new scheduling message
> ...
>    2.  if a valid default calendar is set, the server MUST process the
>        scheduling message and create an appropriate scheduling object
>        resource in the default calendar set for the Attendee.
I'd avoid to put those events in my "default" calendar; 
ex. case:
1) receive an invitation that affect free-busy
2) server accepts automatically in my default calendar (eg. the one against 
people checks my freebusy)
3) I appear busy while it could not be the case

> I think it's fair to say that if the server is going to process the
> incoming message automatically there MUST be only one calendar
> collection or a default collection.
one collection for default scheduling or one collection at all?

Peace, R.

-- 

Roberto Polli
Babel S.r.l. - http://www.babel.it
Tel. +39.06.91801075 - fax +39.06.91612446
P.zza S.Benedetto da Norcia, 33 - 00040 Pomezia (Roma)

"Il seguente messaggio contiene informazioni riservate. Qualora questo 
messaggio fosse da Voi ricevuto per errore, Vogliate cortesemente darcene 
notizia a mezzo e-mail. Vi sollecitiamo altresì a distruggere il messaggio 
erroneamente ricevuto. Quanto precede Vi viene chiesto ai fini del rispetto 
della legge in materia di protezione dei dati personali."

Date: Wed, 14 Jan 2009 10:27:23 -0500
From: Cyrus Daboo <[email-masked]>
To: Mike Douglass <[email-masked]>, CalDAV DevList <[email-masked]>
Subject: Re: [ietf-caldav] draft 07

Hi Mike,

--On January 14, 2009 10:06:33 AM -0500 Mike Douglass <[email-masked]> 
wrote:

> 3.3.2.1.  Processing a new scheduling message
> ...
>    2.  if a valid default calendar is set, the server MUST process the
>        scheduling message and create an appropriate scheduling object
>        resource in the default calendar set for the Attendee.  At the
>        same time it MUST add the CALDAV:schedule-state WebDAV property
>        with the value CALDAV:schedule-processed (see Section 6.3) to the
>        scheduling message.
>
>
> Why MUST?
>
> Isn't this a matter for the user and the server to decide? I can imagine
> a server which accepts all meeting requests but only automatically
> processes those for your own group for example, that is, the decision
> could be rule based.
>
> I think it's fair to say that if the server is going to process the
> incoming message automatically there MUST be only one calendar
> collection or a default collection.

Yes, good point. I can change the first MUST to a SHOULD.

-- 
Cyrus Daboo

Date: Wed, 14 Jan 2009 10:06:33 -0500
From: Mike Douglass <[email-masked]>
To: CalDAV DevList <[email-masked]>
Subject: [ietf-caldav] draft 07

3.3.2.1.  Processing a new scheduling message
...
   2.  if a valid default calendar is set, the server MUST process the
       scheduling message and create an appropriate scheduling object
       resource in the default calendar set for the Attendee.  At the
       same time it MUST add the CALDAV:schedule-state WebDAV property
       with the value CALDAV:schedule-processed (see Section 6.3) to the
       scheduling message.

Why MUST?

Isn't this a matter for the user and the server to decide? I can imagine
a server which accepts all meeting requests but only automatically
processes those for your own group for example, that is, the decision
could be rule based.

I think it's fair to say that if the server is going to process the
incoming message automatically there MUST be only one calendar
collection or a default collection.

-- 

Mike Douglass                           [email-masked]
Senior Systems Programmer
Communication & Collaboration Technologies      518 276 6780(voice) 2809
(fax)
Rensselaer Polytechnic Institute 110 8th Street, Troy, NY 12180